<!-- FlexExtractor config file to generate the CMW database server config file -->
<flexextractor version="1.0" description="Config file to generate CWM publications">
	<input type="XML_XPATH" combine="true">
		<source name="cmwConfigs" parameter="/cmw/cmwConfigs/cmwConfig">
			<data name="configName" select="./@configName"/>
			<data name="domain" select="./domain/text()"/>
			<data name="project" select="./project/text()"/>
			<data name="system" select="./system/text()"/>
			<data name="fec" select="./fec/text()"/>
			<data name="accelerator" select="./accelerator/text()"/>
		</source>
		<source name="mergedCmwPublications" parameter="/cmw/mergedCmwPublications/mergedCmwPublication/cmwPublication">
			<data name="publicationAlias" select="../publicationAlias/text()"/>
			<data name="deviceType" select="./deviceType/text()"/>
			<data name="dpe" select="./dpe/text()"/>
			<data name="cmwConfig" select="./cmwConfig/text()"/>
			<data name="property" select="./property/text()"/>
			<data name="direction" select="./direction/text()"/>
			<data name="value" select="./value/text()"/>
			<data name="time" select="./time/text()"/>
			<data name="cmwDevice" select="./cmwDevice/text()"/>
		</source>
	</input>
	<output>

		<section condition="{cmwConfigs.configName} == {mergedCmwPublications.cmwConfig}"  >
			<section
				head = "						
				&lt;tr class=&quot;publicationHeader&quot;&gt;
							&lt;td width=&quot;150&quot; align=&quot;center&quot;&gt;Class name&lt;/td&gt;
							&lt;td width=&quot;150&quot; align=&quot;center&quot;&gt;CMW Device name&lt;/td&gt;
							&lt;td width=&quot;100&quot; align=&quot;center&quot;&gt;Fec name&lt;/td&gt;
							&lt;td width=&quot;70&quot; align=&quot;center&quot;&gt;Server name&lt;/td&gt;
							&lt;td width=&quot;70&quot; align=&quot;center&quot;&gt;Accelerator&lt;/td&gt;
						&lt;/tr&gt;"  
			
	 generate="		
	 &lt;tr&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{cmwConfigs.system}_{cmwConfigs.domain}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{mergedCmwPublications.cmwDevice}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{cmwConfigs.fec}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{cmwConfigs.system}.{cmwConfigs.domain}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{cmwConfigs.accelerator}&lt;/td&gt;&lt;/tr&gt;"/>
		</section>
	</output>
</flexextractor>